summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-06-05 13:25:28 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-06-05 13:27:58 +0200
commit0bc07f9928ab1f8ab61b482fb6847afbc574aece (patch)
treeb00312207f867f1a8ad8c5ab810740b1b2a5a152
parentdev-lang/perl: Re-add toolchain improvements (diff)
downloadgentoo-0bc07f9928ab1f8ab61b482fb6847afbc574aece.tar.gz
gentoo-0bc07f9928ab1f8ab61b482fb6847afbc574aece.tar.bz2
gentoo-0bc07f9928ab1f8ab61b482fb6847afbc574aece.zip
dev-python/matplotlib: Drop IUSE="gtk2"
Depends on doomed dev-python/pygtk. Closes: https://bugs.gentoo.org/706464 Package-Manager: Portage-2.3.100, Repoman-2.3.22 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--dev-python/matplotlib/matplotlib-2.2.2-r1.ebuild21
-rw-r--r--dev-python/matplotlib/matplotlib-2.2.4.ebuild21
-rw-r--r--dev-python/matplotlib/metadata.xml1
3 files changed, 14 insertions, 29 deletions
diff --git a/dev-python/matplotlib/matplotlib-2.2.2-r1.ebuild b/dev-python/matplotlib/matplotlib-2.2.2-r1.ebuild
index a4c0390e0f3..9503034ec4c 100644
--- a/dev-python/matplotlib/matplotlib-2.2.2-r1.ebuild
+++ b/dev-python/matplotlib/matplotlib-2.2.2-r1.ebuild
@@ -19,19 +19,15 @@ SLOT="0"
# Fonts: BitstreamVera, OFL-1.1
LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 x86"
-IUSE="cairo doc excel examples gtk2 gtk3 latex qt5 test tk wxwidgets"
+IUSE="cairo doc excel examples gtk3 latex qt5 test tk wxwidgets"
RESTRICT="!test? ( test )"
PY2_FLAGS="|| ( $(python_gen_useflags python2_7) )"
REQUIRED_USE="
doc? ( ${PY2_FLAGS} )
excel? ( ${PY2_FLAGS} )
- gtk2? ( ${PY2_FLAGS} )
wxwidgets? ( ${PY2_FLAGS} )
- test? (
- cairo latex qt5 tk wxwidgets
- || ( gtk2 gtk3 )
- )"
+ test? ( cairo gtk3 latex qt5 tk wxwidgets )"
# #456704 -- a lot of py2-only deps
PY2_USEDEP=$(python_gen_usedep python2_7)
@@ -51,11 +47,6 @@ COMMON_DEPEND="
>=media-libs/qhull-2013
>=dev-python/kiwisolver-1.0.0[${PYTHON_USEDEP}]
cairo? ( dev-python/cairocffi[${PYTHON_USEDEP}] )
- gtk2? (
- dev-libs/glib:2=
- x11-libs/gdk-pixbuf
- x11-libs/gtk+:2
- dev-python/pygtk[${PY2_USEDEP}] )
wxwidgets? ( >=dev-python/wxpython-2.8:*[${PY2_USEDEP}] )"
# internal copy of pycxx highly patched
@@ -85,7 +76,7 @@ DEPEND="${COMMON_DEPEND}
test? (
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/nose-0.11.1[${PYTHON_USEDEP}]
- )"
+ )"
RDEPEND="${COMMON_DEPEND}
${PY2_DEPEND}
@@ -93,7 +84,8 @@ RDEPEND="${COMMON_DEPEND}
excel? ( dev-python/xlwt[${PYTHON_USEDEP}] )
gtk3? (
dev-python/pygobject:3[${PYTHON_USEDEP}]
- x11-libs/gtk+:3[introspection] )
+ x11-libs/gtk+:3[introspection]
+ )
latex? (
virtual/latex-base
app-text/ghostscript-gpl
@@ -201,7 +193,8 @@ python_configure() {
EOF
else
cat >> "${BUILD_DIR}"/setup.cfg <<-EOF || die
- $(use_setup gtk2 gtk)
+ gtk = False
+ gtkagg = False
$(use_setup wxwidgets wx)
EOF
fi
diff --git a/dev-python/matplotlib/matplotlib-2.2.4.ebuild b/dev-python/matplotlib/matplotlib-2.2.4.ebuild
index 993902f040d..824ae05fff3 100644
--- a/dev-python/matplotlib/matplotlib-2.2.4.ebuild
+++ b/dev-python/matplotlib/matplotlib-2.2.4.ebuild
@@ -19,17 +19,13 @@ SLOT="0"
# Fonts: BitstreamVera, OFL-1.1
LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86"
-IUSE="cairo doc excel examples gtk2 gtk3 latex qt5 test tk wxwidgets"
+IUSE="cairo doc excel examples gtk3 latex qt5 test tk wxwidgets"
RESTRICT="!test? ( test )"
PY2_FLAGS="|| ( $(python_gen_useflags python2_7) )"
REQUIRED_USE="
- gtk2? ( ${PY2_FLAGS} )
wxwidgets? ( ${PY2_FLAGS} )
- test? (
- cairo latex qt5 tk wxwidgets
- || ( gtk2 gtk3 )
- )"
+ test? ( cairo gtk3 latex qt5 tk wxwidgets )"
# #456704 -- a lot of py2-only deps
PY2_USEDEP=$(python_gen_usedep python2_7)
@@ -49,11 +45,6 @@ COMMON_DEPEND="
>=media-libs/qhull-2013
>=dev-python/kiwisolver-1.0.0[${PYTHON_USEDEP}]
cairo? ( dev-python/cairocffi[${PYTHON_USEDEP}] )
- gtk2? (
- dev-libs/glib:2=
- x11-libs/gdk-pixbuf
- x11-libs/gtk+:2
- dev-python/pygtk[${PY2_USEDEP}] )
wxwidgets? ( >=dev-python/wxpython-2.8:*[${PY2_USEDEP}] )"
# internal copy of pycxx highly patched
@@ -84,7 +75,7 @@ DEPEND="${COMMON_DEPEND}
test? (
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/nose-0.11.1[${PYTHON_USEDEP}]
- )"
+ )"
RDEPEND="${COMMON_DEPEND}
${PY2_DEPEND}
@@ -92,7 +83,8 @@ RDEPEND="${COMMON_DEPEND}
excel? ( dev-python/xlwt[${PYTHON_USEDEP}] )
gtk3? (
dev-python/pygobject:3[${PYTHON_USEDEP}]
- x11-libs/gtk+:3[introspection] )
+ x11-libs/gtk+:3[introspection]
+ )
latex? (
virtual/latex-base
app-text/ghostscript-gpl
@@ -203,7 +195,8 @@ python_configure() {
EOF
else
cat >> "${BUILD_DIR}"/setup.cfg <<-EOF || die
- $(use_setup gtk2 gtk)
+ gtk = False
+ gtkagg = False
$(use_setup wxwidgets wx)
EOF
fi
diff --git a/dev-python/matplotlib/metadata.xml b/dev-python/matplotlib/metadata.xml
index d238bedf5ab..f024fad1333 100644
--- a/dev-python/matplotlib/metadata.xml
+++ b/dev-python/matplotlib/metadata.xml
@@ -17,7 +17,6 @@
</longdescription>
<use>
<flag name="excel">Pull <pkg>dev-python/xlwt</pkg> for the exceltools toolkit</flag>
- <flag name="gtk2">Enable <pkg>x11-libs/gtk+</pkg>:2 support</flag>
<flag name="gtk3">Enable <pkg>x11-libs/gtk+</pkg>:3 support</flag>
</use>
<upstream>